var checker = require('license-checker');
var consola = require('consola');
var fs = require('fs');


checker.init({
    start: './',
}, function(err, packages) {
    if (err) {
        consola.error("Couldn't load the licenses.")
    } else {
        let licenses = new Array();
        Object.keys(packages).forEach(function(key) {
            licenses.push({
                "name": packages[key].name,
                "licenses": packages[key].licenses || null,
                "repository": packages[key].repository || null,
                "publisher": packages[key].publisher || null,
                "email": packages[key].email || null,
                "version": packages[key].version || null,
                "description": packages[key].description || null,
                "copyright": packages[key].copyright || null,
                "url": packages[key].url || null,
            });
          });
        
        try {
            fs.writeFileSync("./licenses.json", JSON.stringify(licenses), { encoding: "utf-8" });
            consola.success("Exported licenses to ./licenses.json");
        } catch (error) {
            consola.error("Couldn't export the licenses");
        }
    }
});